This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 819449 - (CVE-2012-2214) CVE-2012-2214 pidgin: Invalid memory dereference in the XMPP protocol plug-in by processing serie of specially-crafted file transfer requests
CVE-2012-2214 pidgin: Invalid memory dereference in the XMPP protocol plug-in...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120506,repor...
: Security
Depends On: 819454
Blocks: 819458
  Show dependency treegraph
 
Reported: 2012-05-07 06:04 EDT by Jan Lieskovsky
Modified: 2012-07-11 01:17 EDT (History)
4 users (show)

See Also:
Fixed In Version: pidgin 2.10.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 01:17:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-05-07 06:04:57 EDT
A denial service flaw was found in the way XMPP protocol plug-in of Pidgin, a Gtk+ based multiprotocol instant messaging client, performed cleanup for certain SOCKS5 connections. A remote attacker, being present on the buddy list of the victim, and able to trick the victim into accepting of a serie of specially-crafted XMPP file transfer requests, could use this flaw to cause pidgin executable crash.

Upstream advisory:
[1] http://www.pidgin.im/news/security/?id=62

Relevant upstream patch:
[2] http://developer.pidgin.im/viewmtn/revision/info/d991ff6d558d185527a09eae0378edb3fc7057a5
Comment 1 Jan Lieskovsky 2012-05-07 06:06:30 EDT
This issue affects the versions of the pidgin package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the pidgin package, as shipped with Fedora release of 15 and 16. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-05-07 06:07:52 EDT
Created pidgin tracking bugs for this issue

Affects: fedora-all [bug 819454]
Comment 3 Jan Lieskovsky 2012-05-07 12:08:03 EDT
The duplicate CVE identifier of CVE-2012-2323 has been also assigned to this issue by mistake:
http://www.openwall.com/lists/oss-security/2012/05/07/12

But CVE-2012-2214 one should be used when referencing to this deficiency (CVE-2012-2323 will rejected as duplicate of CVE-2012-2214).
Comment 4 Jan Lieskovsky 2012-05-10 13:01:22 EDT
Upstream v2.10.4 announcement:
http://pidgin.im/pipermail/devel/2012-May/010756.html

and Changelog:
http://developer.pidgin.im/wiki/ChangeLog
Comment 10 Huzaifa S. Sidhpurwala 2012-07-11 01:15:52 EDT
Statement:

Not Vulnerable. This issue does not affect the version of pidgin as shipped with Red Hat Enterprise Linux 5 and 6.

Note You need to log in before you can comment on or make changes to this bug.